package org.openmuc.core.common;

/*
 * Copyright Fraunhofer ISE, 2011
 * Author(s): Michael Zillgith
 *    
 * This file is part of openMUC.
 * For more information visit http://www.openmuc.org
 * 
 * openMUC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * openMUC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with openMUC.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

public class Utils {
	
	public static byte[] createByteArrayFromString(String hexString) {
		byte[] retValue = null;

		if ((hexString.length() % 2) == 0) {
			String b;
			retValue = new byte[hexString.length() / 2];
			int bi = 0;

			try {
				for (int i = 0; i < hexString.length(); i += 2) {
					b = hexString.substring(i, i + 2);
					retValue[bi] = (byte) Short.valueOf(b, 16).shortValue();
					bi++;
				}
			} catch (NumberFormatException e) {
				e.printStackTrace();
				return null;
			}
		}

		return retValue;
	} /* createByteArrayFromString() */

	public static String composeHexStringFromByteArray(byte[] data) {
		StringBuilder builder = new StringBuilder(data.length * 2);

		for (int i = 0; i < data.length; i++) {
			builder.append(String.format("%02x", 0xff & (int) data[i]));
		}

		return builder.toString();
	} /* composeHexStringFromByteArray() */
	
}
