package org.openmuc.core.driver;

/*
 * Copyright Fraunhofer ISE, 2010
 * Author(s): Simon Fey, Michael Zillgith
 *    
 * This file is part of openMUC.
 * For more information visit http://www.openmuc.org
 * 
 * openMUC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * openMUC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with openMUC.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

public class BusURI {
	private String driverID = null;
	private String comPort = null;
	
	public BusURI(String url) {
		int pos;
		String rest;

		if ((pos = url.indexOf(':')) >= 0) {
			driverID = url.substring(0, pos);
			rest = url.substring(pos + 1);
			if ((pos = rest.indexOf(':')) >= 0) {
				comPort = rest.substring(0, pos);
			}
			else comPort = rest;
		}
	}

	public String toString() {
		StringBuffer buf = new StringBuffer(50);
		
		if (driverID != null) buf.append(driverID);
		buf.append(':');
		if (comPort != null) buf.append(comPort);
		
		return buf.toString();
	} /* toString() */
	
	public String getDriverID() {
		return driverID;
	}
	public String getComPort() {
		return comPort;
	}
}
