package org.openmuc.core.driver;

/*
 * Copyright Fraunhofer ISE, 2010
 * Author(s): Michael Zillgith
 *    
 * This file is part of openMUC.
 * For more information visit http://www.openmuc.org
 * 
 * openMUC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * openMUC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with openMUC.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

import org.openmuc.core.measurement.Measurement;

import java.util.List;

/**
 * With this interface a device driver can communicate with the readout process.
 * 
 * @author mzillgit
 *
 */
public interface DataReceivedListener {
	public static final int TIMEOUT = 1;
	public static final int NO_DATA_AVAILABLE = 2;
	public static final int NO_SUCH_INTERFACE = 3;
	public static final int METER_NOT_AVAILABLE = 4;
	public static final int INVALID_DATA = 5;
	
	public void dataReceived(Object handle, List<Measurement> data);
	public void readoutError(Object handle, int errorCode);
}
