package org.openmuc.core.measurement;

/*
 * Copyright Fraunhofer ISE, 2010
 * Author(s): Michael Zillgith
 *    
 * This file is part of openMUC.
 * For more information visit http://www.openmuc.org
 * 
 * openMUC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * openMUC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with openMUC.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

/**
 * The class ChannelIdentifier provides a mapping between objectLocator 
 * (an address at field bus level) and a label
 * 
 */
public class ChannelIdentifier {
	private String label;
	private String objectLocator; /* e.g. OBIS code */
	
	public ChannelIdentifier(String label, String objectLocator) {
		this.label = label;
		this.objectLocator = objectLocator;
	}
	
	public String getLabel() {
		return label;
	}
	
	public String getObjectLocator() {
		return this.objectLocator;
	}
}
