package org.openmuc.core.measurement;

/*
 * Copyright Fraunhofer ISE, 2010
 * Author(s): Michael Zillgith
 *    
 * This file is part of openMUC.
 * For more information visit http://www.openmuc.org
 * 
 * openMUC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * openMUC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with openMUC.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

public class Measurement {
	public Value getValue() {
		return value;
	}

	private Value value;
	private Unit unit;
	private ChannelIdentifier dataID;
	
	/**
	 * 
	 * @param dataID	description/value type
	 * @param value		actual value with timestamp
	 * @param unit      unit as DLMS unit code
	 * @param timestamp Timestamp when value was collected
	 */
	
	public Measurement(ChannelIdentifier dataID, double value, Unit unit, long timestamp) {
		this.dataID = dataID;
		this.value = new Value(value, timestamp);
		this.unit = unit;
	}
	
	
	public Measurement(ChannelIdentifier dataID, Value value, Unit unit) {
		super();
		this.value = value;
		this.unit = unit;
		this.dataID = dataID;
	}
	
	public ChannelIdentifier getDataID() {
		return dataID;
	}

	public void setDataID(ChannelIdentifier dataID) {
		this.dataID = dataID;
	}

	public void setValue(Value value) {
		this.value = value;
	}
	
	public Unit getUnit() {
		return unit;
	}
	
	public void setUnit(Unit unit) {
		this.unit = unit;
	}

	public long getTimestamp() {
		return value.getTimestamp();
	}
	
} /* class Measurement */
