package org.openmuc.core.measurement;

public enum State {
	invalid (0),
	valid (1),
	substitute (2),
	lower_limit_exceeded (3),
	upper_limit_exceeded (4);
	
	
	private int code;
	
	private State (int code) {
		this.code = code;
	}
	
	public int getCode() {
		return code;
	}
	
	public static State newState(int code) {
		switch (code) {
		case 3:
			return State.lower_limit_exceeded;
		case 4:
			return State.upper_limit_exceeded;
		case 0:
			return State.invalid;
		case 2:
			return State.substitute;
		case 1:
		default:
			return State.valid;
		}
	}
}
