package org.openmuc.core.obis;

/*
 * Copyright Fraunhofer ISE, 2010
 * Author(s): Michael Zillgith
 *    
 * This file is part of openMUC.
 * For more information visit http://www.openmuc.org
 * 
 * openMUC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * openMUC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with openMUC.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

import java.util.Iterator;
import java.util.Vector;

public class Util {

	/**
	 * Does String str contains char chr?
	 * 
	 * @param str
	 * @param chr
	 */
	public static int containsChar(String str, char chr) {
		int retVal = 0;

		int i;

		for (i = 0; i < str.length(); i++) {
			if (str.charAt(i) == chr) {
				retVal = i + 1;
				break;
			}
		}

		return retVal;
	}

	/**
	 * 
	 * Check if an element equal to "elem" is part of the list
	 * 
	 * @param <T>
	 * @param list
	 * @param elem
	 * @return <code>true</code> if elem is part of list, else
	 *         <code>false</code>
	 */
	public static <T> boolean isElement(Vector<T> list, T elem) {
		Iterator<T> it;

		it = list.iterator();

		while (it.hasNext()) {
			if (it.next().equals(elem))
				return true;
		}
		return false;
	}
}
