package org.openmuc.core.datamanager.impl;

import org.apache.log4j.Logger;
import org.openmuc.core.datamanager.DatabaseInterface;
import org.osgi.framework.BundleContext;

public class DatabaseLayerFactory {
	
	private static DatabaseInterface dblayer = null;
	
	private static BundleContext context;
	
	private static Logger logger = Logger.getLogger(DatabaseLayerFactory.class);
	
	private static String defaultProvider = "org.openmuc.core.datamanager.impl.SQLiteDatabaseLayerProvider";
	
	public static void setContext(BundleContext bc) {
		context = bc;
	}
	
	public static DatabaseInterface getInstance() {

		if (dblayer == null) {
					
			String provider;
			
			provider = System.getProperty("org.openmuc.mux.dbprovider");
			
			if (provider == null) provider = defaultProvider; 
			
			logger.info("Create instance of " + provider);
			try {
				Class<?> providerClass =  context.getBundle().loadClass(provider);
							
				dblayer = (DatabaseInterface) providerClass.newInstance();
							
			} catch (Exception e) {
				e.printStackTrace();
				dblayer = null;
			}	
		}
		
		return dblayer;
	}
}
