package org.openmuc.core.datamanager.test;

import java.util.Calendar;
import java.util.Date;

import org.junit.Test;
import org.openmuc.core.datamanager.impl.XMLUtils;

import static org.junit.Assert.*;


public class TestXMLUtils {

	
	@Test
	public void testDateTimeParser() {
		// String dateTime = "11-02-07 12:00:00";
		String dateTime = "00-01-01 00:00:00";
		
		Date date = XMLUtils.parseDateTime(dateTime);
		
		assertNotNull(date);
		
		String newDateTime = XMLUtils.dateToString(date);
		
		assertEquals(newDateTime, dateTime);
		
		dateTime = "11-02-07 12:00:00";
		date = XMLUtils.parseDateTime(dateTime);
		newDateTime = XMLUtils.dateToString(date);
		assertEquals(newDateTime, dateTime);
		
		Calendar cal = Calendar.getInstance();
		cal.set(Calendar.YEAR, 2000);
		cal.set(Calendar.MONTH, 0);
		cal.set(Calendar.DAY_OF_MONTH, 1);
		cal.set(Calendar.HOUR_OF_DAY, 0);
		cal.set(Calendar.MINUTE, 0);
		cal.set(Calendar.SECOND, 0);
		cal.set(Calendar.MILLISECOND, 0);
		
		date = cal.getTime();
		
		newDateTime = XMLUtils.dateToString(date);
		
		assertEquals("00-01-01 00:00:00", newDateTime);
	}
	
	@Test
	public void testTimeToMillies() {
		assertEquals(1L, XMLUtils.timeToMilliSec("1")); /*default is ms*/
		assertEquals(1000L, XMLUtils.timeToMilliSec("1s"));
		assertEquals(1000L, XMLUtils.timeToMilliSec("1000ms"));
		assertEquals(10L, XMLUtils.timeToMilliSec("10"));
		assertEquals(60L * 60L * 1000L, XMLUtils.timeToMilliSec("1h"));
	}
	
}
