package org.openmuc.metering.driver.manager;

/*
 * Copyright Fraunhofer ISE, 2010
 * Author(s): Michael Zillgith
 *    
 * This file is part of openMUC.
 * For more information visit http://www.openmuc.org
 * 
 * openMUC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * openMUC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with openMUC.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

import org.openmuc.core.driver.DeviceDriverManager;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.util.tracker.ServiceTracker;

/**
 * OSGi bundle activator for the openMUC meter driver manager. The meter driver
 * manager is the core part of the meter driver plugin framework.
 * 
 * @author mzillgit
 * 
 */
public class Activator implements BundleActivator {

	DeviceDriverManager driverManager;
	ServiceTracker driverTracker;

	public void start(BundleContext context) throws Exception {

		driverManager = new MeterDriverManagerImpl();

		context.registerService(DeviceDriverManager.class.getName(), driverManager, null);

		driverTracker = ((MeterDriverManagerImpl) driverManager).getServiceTracker(context);

		driverTracker.open();
	}

	public void stop(BundleContext context) throws Exception {
		driverTracker.close();
	}

}
