package org.openmuc.canopen.constants;

/*
 * Copyright Fraunhofer ISE, 2011
 * Author(s): Frederic Robra
 *    
 * This file is part of openMUC.
 * For more information visit http://www.openmuc.org
 * 
 * openMUC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * openMUC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with openMUC.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

/**
 * Device profile DS-301 CANopen.
 * @author Frederic Robra
 */
public class DS301 {
	public static final int DEVICE_PROFILE = 0x1000;
	public static final int ERROR_REGISTER = 0x1001;
	public static final int COBID_SYNC_MESSAGE = 0x1005;
	public static final int DEVICE_NAME = 0x1008;
	public static final int HARDWARE_VERSION = 0x1009;
	public static final int SOFTWARE_VERSION = 0x100A;
	public static final int STORE_PARAMETERS = 0x1010;
	public static final int RESTORE_DEFAULT_PARAMETERS = 0x1011;
	public static final int COBID_EMERGENCY_MESSAGE = 0x1014;
	public static final int HEARTBEAT_PRODUCER_TIME = 0x1017;
	public static final int IDENTITY_OBJECT = 0x1018;
	public static final int FIRST_TRANSMIT_PDO_PARAMETERS = 0x1800;
	public static final int SECOND_TRANSMIT_PDO_PARAMETERS = 0x1801;
	public static final int FIRST_TRANSMIT_PDO_MAPING = 0x1800;
	public static final int SECOND_TRANSMIT_PDO_MAPING = 0x1801;
	public static final int NMT_STARTUP = 0x328B;
}
