package org.openmuc.canopen.constants;

/*
 * Copyright Fraunhofer ISE, 2011
 * Author(s): Frederic Robra
 *    
 * This file is part of openMUC.
 * For more information visit http://www.openmuc.org
 * 
 * openMUC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * openMUC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with openMUC.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

/**
 * Device profile DS-404 CANopen.
 * @author Frederic Robra
 */
public class DS404 {
	public static final int SENSOR_TYPE = 0x6110;
	public static final int OPERATING_MODE = 0x6112;						// switch Input
	public static final int PHYSICAL_UNIT = 0x6131;
	public static final int DECIMAL_DIGITS = 0x6132;
	public static final int ANALOG_INPUT_STATUS = 0x6150;	
	public static final int X_ANALOG_INPUT_FIELD_VALUE = 0x0100;			// Value ADC
	public static final int X_ANALOG_INPUT_PROCESS_VALUE = 0x0130;			// Value
	public static final int X_FLOAT_OFFSET = 0x6000;
	public static final int X_INT16_OFFSET = 0x7000;
	public static final int X_INT24_OFFSET = 0x8000;
	public static final int X_INT32_OFFSET = 0x9000;
	public static final int[] X_OFFSETS = {X_FLOAT_OFFSET, X_INT16_OFFSET, X_INT24_OFFSET, X_INT32_OFFSET};
}	
