package org.openmuc.modbus;

/*
 * Copyright Fraunhofer ISE, 2010
 * Author(s): Simon Fey
 *    
 * This file is part of openMUC.
 * For more information visit http://www.openmuc.org
 * 
 * openMUC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * openMUC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with openMUC.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

import org.osgi.framework.*;
import org.openmuc.core.driver.DeviceDriverInterface;

public class Activator implements BundleActivator{

	private ServiceRegistration serviceReg;
	//private LogServiceTracker tracker;   Eigenen Tracker implementieren, um Log Stati zu speichern
	
	public void start(BundleContext bc) throws Exception {
		if (Boolean.valueOf(System.getProperty("org.openmuc.modbus.debug")).booleanValue()) {
			System.out.println("MODBUS DEBUG: Modbus Driver started");
		}
		
		DeviceDriverInterface service = new ModbusDriverImpl();
		serviceReg = bc.registerService(DeviceDriverInterface.class.getName(),
		service, null);
	}

	public void stop(BundleContext bc) throws Exception {
		if (Boolean.valueOf(System.getProperty("org.openmuc.modbus.debug")).booleanValue()) {
			System.out.println("MODBUS DEBUG: Modbus Driver stopped");
		}
		
    	serviceReg.unregister();
        bc = null;
	}

}
