package org.openmuc.modbus.test;

import org.openmuc.modbus.MalformedObjectLocatorException;
import org.openmuc.modbus.ModbusObjectLocator;
import org.openmuc.modbus.ModbusObjectLocator.DataType;

import junit.framework.TestCase;

public class ModbusObjectLocatorTest extends TestCase {
	
	public void testMOLregisterAddress() {
		ModbusObjectLocator mol = null;
		try {
			String locator = "1317:short";
			mol = new ModbusObjectLocator(locator);
		} catch (MalformedObjectLocatorException e) {
			e.printStackTrace();
		}
		
		int registerAddress = mol.getRegisterAddress();
		assertEquals(registerAddress, 1317);
	}
	
	public void testMOLregisterDataType() {
		ModbusObjectLocator mol = null;
		try {
			String locator = "1317:float";
			mol = new ModbusObjectLocator(locator);
		} catch (MalformedObjectLocatorException e) {
			e.printStackTrace();
		}
		
		DataType expectedResult = DataType.dt_float;
		DataType dataType = mol.getRegisterDataType();
		assertEquals(dataType, expectedResult);
	}
	
	public void testMOLregisterDataTypeException1() {
		ModbusObjectLocator mol = null;
		try {
			String locator = "1317:flobt";
			mol = new ModbusObjectLocator(locator);
			fail("MalformedObjectLocatorException expected.");
		} catch (MalformedObjectLocatorException e) {
		}
	}
	
	public void testMOLregisterDataTypeException2() {
		ModbusObjectLocator mol = null;
		try {
			String locator = ".-1317:float";
			mol = new ModbusObjectLocator(locator);
			fail("MalformedObjectLocatorException expected.");
		} catch (MalformedObjectLocatorException e) {
		}
	}
	
}
