package org.openmuc.wago;

import java.util.List;
import java.util.Vector;

import org.openmuc.core.driver.DataReceivedListener;
import org.openmuc.core.measurement.Measurement;
import org.openmuc.core.measurement.ChannelIdentifier;

public class ReadoutThread implements Runnable {

	private Wago750Device device;

	private List<ChannelIdentifier> registers;
	
	private DataReceivedListener callback;
	
	private Object handle;

	public ReadoutThread(Wago750Device device, List<ChannelIdentifier> registers2,
			DataReceivedListener callback, Object handle) 
	{
		super();
		this.registers = registers2;
		this.callback = callback;
		this.handle = handle;
		this.device = device;
	}

	public void run() {
		try {
			Vector<Measurement> meas = device.getChannels(registers);
			callback.dataReceived(handle, meas);
		} catch (MalformedObjectLocatorException e) {
			callback.readoutError(handle, DataReceivedListener.NO_DATA_AVAILABLE);
		} catch (NullPointerException e) {
			callback.readoutError(handle, DataReceivedListener.TIMEOUT);
		} catch (Exception e) {
			callback.readoutError(handle, DataReceivedListener.TIMEOUT);
		}
	} /* run() */

}
