package org.openmuc.mux.dataserver;

/*
 * Copyright Fraunhofer ISE, 2010
 * Author(s): Michael Zillgith
 *    
 * This file is part of openMUC.
 * For more information visit http://www.openmuc.org
 * 
 * openMUC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * openMUC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with openMUC.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

import java.io.PrintWriter;

public class PeriodicReport extends Report {

	private int interval;
	private long lastReportTime = 0;
	
	public PeriodicReport(int handle, int interval) {
		super(handle);
		this.interval = interval;
	}

	@Override
	public void emitReport(PrintWriter out) {
		long curTime = System.currentTimeMillis();
		
		if (curTime >= (this.lastReportTime + this.interval)) {
			this.lastReportTime = curTime;
			super.emitReport(out);
		}
	}
}
