package org.openmuc.mux.dataserver;

/*
 * Copyright Fraunhofer ISE, 2010
 * Author(s): Michael Zillgith
 *    
 * This file is part of openMUC.
 * For more information visit http://www.openmuc.org
 * 
 * openMUC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * openMUC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with openMUC.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

import java.io.PrintWriter;
import java.util.LinkedList;

import org.openmuc.core.datamanager.DataStorage;

public abstract class Report {
	private LinkedList<DataStorage> data;
	private int handle;
	
	public Report(int handle) {
		data = new LinkedList<DataStorage>();
		this.handle = handle;
	}
	
	public int getHandle() {
		return this.handle;
	}
	
	public void emitReport(PrintWriter out) {
		out.print("!REPORT handle:" + this.handle + " time:" + System.currentTimeMillis());
		
		for (DataStorage storage : data) {
			out.print(" " + storage.getDataId().getLabel() + ":" + storage.getCurrentValue().getValue());
		}
		
		out.println();
	}
	
	public void addDataStorage(DataStorage ds) {
		this.data.add(ds);
	}
}
