package org.openmuc.mbuswebtool.internal;

/*
 * Copyright Fraunhofer ISE, 2010
 * Author(s): Michael Zillgith
 *    
 * This file is part of openMUC.
 * For more information visit http://www.openmuc.org
 * 
 * openMUC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * openMUC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with openMUC.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

import java.util.Dictionary;
import java.util.Properties;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;

import org.openmuc.webinterface.WebInterfacePlugin;
import org.openmuc.core.datamanager.config.ConfigurationService;

public final class Activator
    implements BundleActivator
{
	
    public void start( BundleContext bc )
        throws Exception
    {
		/* get the configuration service */
		ServiceReference configServiceRef = bc.getServiceReference(ConfigurationService.class.getName());
		ConfigurationService configurationService = (ConfigurationService) 
				bc.getService(configServiceRef);

    	
        Dictionary<?, ?> props = new Properties();
   
        bc.registerService( WebInterfacePlugin.class.getName(), 
        		new MBusWebToolPlugin(bc, configurationService), props );
    }

    public void stop( BundleContext bc )
        throws Exception
    {
    }
}

