package org.openmuc.mbuswebtool.internal;

/*
 * Copyright Fraunhofer ISE, 2010
 * Author(s): Michael Zillgith
 *    
 * This file is part of openMUC.
 * For more information visit http://www.openmuc.org
 * 
 * openMUC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * openMUC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with openMUC.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

import org.openmuc.webinterface.View;

public class MBusView implements View {

	private String template;
	
	public MBusView(String template) {
		this.template = template;
	}
	
	private HashMap<String, Object> context = new HashMap<String,Object>();
	
	public void addToContext(String key, Object object) {
		context.put(key, object);
	}
	
	public HashMap<String, Object> getContext() {
		return context;
	}

	public List<String> getJavaScripts() {
		return new ArrayList<String>();
	}

	public List<String> getStyleSheets() {
		ArrayList<String> styleSheets = new ArrayList<String>();
		styleSheets.add("css/style.css");
		return styleSheets;
	}

	public String getTemplate() {
		return template;
	}

	public String getPage() {
		return "M-Bus Configuration";
	}

	public String getRedirectLocation() {
		return null;
	}

	public viewtype getViewType() {
		// TODO Auto-generated method stub
		return null;
	}
}
