package org.openmuc.sunnywebtool.internal;

import org.openmuc.core.driver.ChannelInformation;
import org.openmuc.core.measurement.Measurement;
import org.openmuc.core.obis.DLMSUnit;

public class ExtendedChannelInformation extends ChannelInformation {
	public ExtendedChannelInformation(String name, int DLMSUnitCode,
			String description) {
		super(name, DLMSUnitCode, description);
		this.unitCode = DLMSUnitCode;
		this.unitString = DLMSUnit.getString(DLMSUnitCode);
		this.description = description;
	}
	public ExtendedChannelInformation(String name, int DLMSUnitCode) {
		super(name, DLMSUnitCode);
		this.unitString = DLMSUnit.getString(DLMSUnitCode);
	}

	private String unitString;
	private double curValue;
	private int unitCode;
	private String description;
	
	public String getUnitString() {
		return this.unitString;
	}
	
	public int getUnitCode() {
		return this.unitCode;
	}
	
	public double getCurValue() {
		return this.curValue;
	}
	
	public void setCurValue(double curValue) {
		this.curValue=curValue;
	}
	
	public String getDescription() {
		return this.description;
	}
		
}
