package org.openmuc.wagowebtool.internal;

import org.openmuc.core.measurement.Unit;
import org.openmuc.wago.Wago750DeviceNode;

public class RegisterInfo {
	private String label;
	private String description;
	private int unitCode;
	private String objectLocator;
	private Wago750DeviceNode node;
	
	
	public RegisterInfo(String label, String description, int unitCode, String objectLocator) {
		this.label=label;
		this.description=description;
		this.unitCode=unitCode;
		this.objectLocator=objectLocator;
		this.node=null;
	}
	
	public RegisterInfo(String label, Wago750DeviceNode node, int unitCode, String objectLocator) {
		this.label=label;
		this.description=node.description;
		this.node=node;
		this.unitCode=unitCode;
		this.objectLocator=objectLocator;
	}
	

	public String getLabel() {
		return label;
	}

	public String getDescription() {
		return description;
	}

	public int getUnitCode() {
		return unitCode;
	}
	
	public Unit getUnit(){
		return Unit.fromUnitCode(unitCode);
	}

	public String getObjectLocator() {
		return objectLocator;
	}
	
	public Wago750DeviceNode getNode() {
		return node;
	}
	

}
