package org.openmuc.webconfigadmin.internal;

import java.util.Dictionary;
import java.util.Properties;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.openmuc.webinterface.WebInterfacePlugin;

public final class Activator
    implements BundleActivator
{
	private ManagedServicesTracker managedServiceTracker;
	private ConfigAdminTracker configAdminTracker;
	private MetaTypeServiceTracker metaTypeTracker;

    public void start( BundleContext bc )
        throws Exception
    {
        Dictionary<?, ?> props = new Properties();
        
        managedServiceTracker = new ManagedServicesTracker(bc);       
        managedServiceTracker.open();
        
        configAdminTracker = new ConfigAdminTracker(bc);
        configAdminTracker.open();
        
        metaTypeTracker = new MetaTypeServiceTracker(bc);
        metaTypeTracker.open();

        bc.registerService( WebInterfacePlugin.class.getName(), new WebConfiguratorPlugin(bc, metaTypeTracker, configAdminTracker), props );
    }

    public void stop( BundleContext bc )
        throws Exception
    {
        managedServiceTracker.close();
        configAdminTracker.close();
        metaTypeTracker.close();
    }
}

