package org.openmuc.webconfigadmin.internal;

import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.List;

import org.openmuc.webinterface.ResourceLoader;
import org.openmuc.webinterface.View;
import org.osgi.framework.Bundle;
import org.osgi.framework.BundleContext;

public class BundleListView implements View {

	private String template = null;
	private HashMap<String,Object> context = null;
	
	public BundleListView(BundleContext bc, ResourceLoader loader, String message) {
		this.template = loader.getResourceAsString("bundleview.html");
		context = new HashMap<String,Object>();
		List<BundleInfo> bundles = new ArrayList<BundleInfo>();

		for (Bundle bundle : bc.getBundles()) {
			bundles.add(new BundleInfo(bundle));
		}
		Collections.sort(bundles, new BundleInfoComparator());
		
		context.put("bundles", bundles);
		context.put("message", message);
	}
	
	private class BundleInfoComparator implements Comparator<BundleInfo>{
		public int compare(BundleInfo o1, BundleInfo o2) {
			if(o1.getBundleId()>o2.getBundleId()){
				return 1;
			}
			if(o1.getBundleId()<o2.getBundleId()){
				return -1;
			}
			return 0;
		}
	}
	
	public HashMap<String, Object> getContext() {		
		return context;
	}

	public List<String> getJavaScripts() {
		return new ArrayList<String>();
	}

	public List<String> getStyleSheets() {
		ArrayList<String> styleSheets = new ArrayList<String>();
		styleSheets.add("/openmuc/css/openmuc-theme/jquery-ui-1.8.14.custom.css");
		return styleSheets;
	}

	public String getTemplate() {
		return template;
	}

	public String getPage() {
		return "Installed bundles";
	}

	public String getRedirectLocation() {
		return null;
	}

	public viewtype getViewType() {
		// TODO Auto-generated method stub
		return null;
	}
}
