package org.openmuc.webconfigadmin.internal;

import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;
import org.osgi.service.cm.ManagedService;
import org.osgi.util.tracker.ServiceTracker;

public class ManagedServicesTracker extends ServiceTracker {
	public ManagedServicesTracker(BundleContext context) {
		super(context, ManagedService.class.getName(), null);
	}
	
	@Override
	public Object addingService(ServiceReference reference) {
		ManagedService managedService = (ManagedService) context.getService(reference);
		
		System.out.println("Found new service: " + managedService);
	
		return managedService;
	}

	@Override
	public void removedService(ServiceReference reference, Object service) {
		ManagedService managedService = (ManagedService) service;
		
		System.out.println("Remove service: " + managedService);
		
		context.ungetService(reference);
	}
}
