package org.openmuc.webexporttool.internal;

import java.util.Dictionary;
import java.util.Properties;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

import org.openmuc.webinterface.WebInterfacePlugin;

public final class Activator
    implements BundleActivator
{
	
	private DataManagerTracker dmTracker;
	
    public void start( BundleContext bc )
        throws Exception
    {
    	dmTracker = new DataManagerTracker(bc);
    	dmTracker.open();
    	
        Dictionary<?, ?> props = new Properties();
   
        bc.registerService( WebInterfacePlugin.class.getName(), 
        		new WebExportToolPlugin(bc, dmTracker), props );
    }

    public void stop( BundleContext bc )
        throws Exception
    {
    	dmTracker.close();
    }
}

