package org.openmuc.webinterface;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public interface PluginContext {
	
	/**
	 * Get the path of plugin application including the application alias.
	 * 
	 * The path is the path relative to the application containers root.
	 *  
	 * This should be used for absolute links to local resources.
	 * 
	 * @return the plugins applications base path
	 */
	public String getApplicationPath();

	/**
	 * Get the plugin applications local path.
	 * 
	 * This is part of the servlets PathInfo without the servlet context,
	 * plugin category and application alias.
	 * 
	 * @return the plug-ins local part of PathInfo
	 */
	public String getLocalPath();
	
	public String getApplicationAlias();
	
	public HttpServletResponse getResponse();
	
	public HttpServletRequest getRequest();
}
