package org.openmuc.webmeasurement.internal;

import java.util.Dictionary;
import java.util.Properties;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;

import org.openmuc.webinterface.WebInterfacePlugin;
import org.openmuc.core.datamanager.config.ConfigurationService;

public final class Activator
    implements BundleActivator
{
	
    public void start( BundleContext bc )
        throws Exception
    {
		/* get the configuration service */
		ServiceReference configServiceRef = bc.getServiceReference(ConfigurationService.class.getName());
		ConfigurationService configurationService = (ConfigurationService) 
				bc.getService(configServiceRef);

    	
        Dictionary<?, ?> props = new Properties();
   
        bc.registerService( WebInterfacePlugin.class.getName(), new MeasureToolPlugin(bc, configurationService), props );
    }

    public void stop( BundleContext bc )
        throws Exception
    {
    }
}

